# IceGrid::Locator

## Overview

### interface Locator extends ::Ice::Locator

The IceGrid locator interface provides access to the Query and Registry object of the IceGrid registry.

#### See Also

Query
Registry

## Operations

### Registry* getLocalRegistry()

Get the proxy of the registry object hosted by this IceGrid registry.

#### Return Value

The proxy of the registry object.

### Query* getLocalQuery()

Get the proxy of the query object hosted by this IceGrid registry.

#### Return Value

The proxy of the query object.